summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike MacDonald (crazymykl) <crazymykl@gmail.com>2010-06-22 17:08:02 +0000
committerMike MacDonald (crazymykl) <crazymykl@gmail.com>2010-06-22 17:08:02 +0000
commit34f47c20471c99f1bd3a9a0931547c3af99e5a66 (patch)
tree6ea95185455d8e1df9d9b15be2f570d27a5d2905 /games-fps
parentdev-util/difffilter: New ebuild for bug 324995 (diff)
downloadsunrise-34f47c20471c99f1bd3a9a0931547c3af99e5a66.tar.gz
sunrise-34f47c20471c99f1bd3a9a0931547c3af99e5a66.tar.bz2
sunrise-34f47c20471c99f1bd3a9a0931547c3af99e5a66.zip
games-fps/gzdoom: New Ebuild for bug 323131, thanks to all in #gentoo-sunrise
svn path=/sunrise/; revision=10804
Diffstat (limited to 'games-fps')
-rw-r--r--games-fps/gzdoom/ChangeLog8
-rw-r--r--games-fps/gzdoom/Manifest5
-rw-r--r--games-fps/gzdoom/gzdoom-1.4.8.ebuild66
-rw-r--r--games-fps/gzdoom/gzdoom-9999.ebuild68
-rw-r--r--games-fps/gzdoom/metadata.xml6
5 files changed, 153 insertions, 0 deletions
diff --git a/games-fps/gzdoom/ChangeLog b/games-fps/gzdoom/ChangeLog
new file mode 100644
index 000000000..657f4d57e
--- /dev/null
+++ b/games-fps/gzdoom/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for games-fps/gzdoom
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 22 Jun 2010; Mike MacDonald (crazymykl) <crazymykl@gmail.com>
+ +gzdoom-1.4.8.ebuild, +gzdoom-9999.ebuild, +metadata.xml, +pubkey.txt:
+ New Ebuild for bug 323131, thanks to all in #gentoo-sunrise
+
diff --git a/games-fps/gzdoom/Manifest b/games-fps/gzdoom/Manifest
new file mode 100644
index 000000000..1a06dd236
--- /dev/null
+++ b/games-fps/gzdoom/Manifest
@@ -0,0 +1,5 @@
+DIST gzdoom-1.4.8.tar.bz2 3416057 RMD160 0faa93b5a2fea5f1559644ce4edfda695818dc16 SHA1 acdafb686961f0b1099dbbd7addcb312303e88a8 SHA256 ddac1b53acd8c6086ddb5ccad549d1ab817ca2f566748b19b53e22b1a1d551f9
+EBUILD gzdoom-1.4.8.ebuild 1409 RMD160 5188839d05f83167ce08e8ac8ad95765f0508781 SHA1 873961a0b4f1925137037661e31d764f6c4ccea3 SHA256 3b9400c374cdc162184d2a6152dec1f185281319f2ada12d67db86d1228cf5ff
+EBUILD gzdoom-9999.ebuild 1507 RMD160 1faa6387968539823451c41e16ce9a6176356dab SHA1 68fb9278e50ac37f647c293a2a12e52e60d5e9ed SHA256 6eb57eeab4c51dde5450ef071a18fada8cc7cb142861a662a9c2ca9186d38a49
+MISC ChangeLog 317 RMD160 885d3a8158ad33b782348298227e89a1ee5a18a8 SHA1 d32546f4800c1ecef67027512ba156f22f3be058 SHA256 75c129ebd5486176514712b3fe72527c895cc63f11b4b09acf334df209afb841
+MISC metadata.xml 229 RMD160 f0f6417bec31ce8baba6d476664f7210c8c84c98 SHA1 e5f94f5caadc6f843fc90bb7959570cd503676fd SHA256 3b08fca3c878bdfc4e7639f477dd542d55a4ab5dce39a475e82633071d13eb3f
diff --git a/games-fps/gzdoom/gzdoom-1.4.8.ebuild b/games-fps/gzdoom/gzdoom-1.4.8.ebuild
new file mode 100644
index 000000000..00f962bb7
--- /dev/null
+++ b/games-fps/gzdoom/gzdoom-1.4.8.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit games cmake-utils
+
+DESCRIPTION="Enhanced OpenGL port of the official DOOM source code that also supports Heretic, Hexen, and Strife"
+HOMEPAGE="http://grafzahl.drdteam.org/"
+SRC_URI="http://omploader.org/vNGsxMg/${P}.tar.bz2"
+
+LICENSE="DOOMLIC BUILDLIC BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="mmx gtk"
+
+RDEPEND="gtk? ( x11-libs/gtk+:2 )
+ media-libs/flac
+ media-libs/fmod:1
+ media-libs/jpeg
+ media-libs/libsdl"
+
+DEPEND="${REPEND}
+ mmx? ( || ( dev-lang/nasm dev-lang/yasm ) )"
+
+src_prepare() {
+ # Use default game data path"
+ sed -i \
+ -e "s:/usr/local/share/:${GAMES_DATADIR}/doom-data/:" \
+ src/sdl/i_system.h || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_no mmx ASM)
+ $(cmake-utils_use_no gtk GTK)
+ )
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ dodoc docs/*.{txt,TXT} || die
+ dohtml docs/console*.{css,html} || die
+
+ cd "${CMAKE_BUILD_DIR}" || die
+ dogamesbin ${PN} || die
+
+ insinto "${GAMES_DATADIR}/doom-data"
+ doins ${PN}.pk3 || die
+
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+
+ elog "Copy or link wad files into ${GAMES_DATADIR}/doom-data/"
+ elog "(the files must be readable by the 'games' group)."
+ elog
+ elog "To play, simply run:"
+ elog " gzdoom"
+ elog
+ elog "See /usr/share/doc/${P}/zdoom.txt.bz2 for more info"
+}
diff --git a/games-fps/gzdoom/gzdoom-9999.ebuild b/games-fps/gzdoom/gzdoom-9999.ebuild
new file mode 100644
index 000000000..a03a54e84
--- /dev/null
+++ b/games-fps/gzdoom/gzdoom-9999.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit games cmake-utils subversion
+
+DESCRIPTION="Enhanced OpenGL port of the official DOOM source code that also supports Heretic, Hexen, and Strife"
+HOMEPAGE="http://grafzahl.drdteam.org/"
+ESVN_REPO_URI="http://mancubus.net/svn/hosted/gzdoom/trunk/"
+
+LICENSE="DOOMLIC BUILDLIC BSD"
+SLOT="0"
+KEYWORDS=""
+IUSE="mmx gtk"
+
+RDEPEND="gtk? ( x11-libs/gtk+:2 )
+ media-libs/flac
+ media-libs/fmod:1
+ media-libs/jpeg
+ media-libs/libsdl"
+
+DEPEND="${REPEND}
+ mmx? ( || ( dev-lang/nasm dev-lang/yasm ) )"
+
+src_prepare() {
+ # Use default game data path
+ sed -i \
+ -e "s:/usr/local/share/:${GAMES_DATADIR}/doom-data/:" \
+ src/sdl/i_system.h || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_no mmx ASM)
+ $(cmake-utils_use_no gtk GTK)
+ -DFOMD_INCLUDE_DIR=/opt/fmodex/api/inc/
+ -DFMOD_LIBRARY=/opt/fmodex/api/lib/libfmodex.so
+ )
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ dodoc docs/*.{txt,TXT} || die
+ dohtml docs/console*.{css,html} || die
+
+ cd "${CMAKE_BUILD_DIR}" || die
+ dogamesbin ${PN} || die
+
+ insinto "${GAMES_DATADIR}/doom-data"
+ doins ${PN}.pk3 || die
+
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+
+ elog "Copy or link wad files into ${GAMES_DATADIR}/doom-data/"
+ elog "(the files must be readable by the 'games' group)."
+ elog
+ elog "To play, simply run:"
+ elog " gzdoom"
+ elog
+ elog "See /usr/share/doc/${P}/zdoom.txt.* for more info"
+}
diff --git a/games-fps/gzdoom/metadata.xml b/games-fps/gzdoom/metadata.xml
new file mode 100644
index 000000000..e6233b5dc
--- /dev/null
+++ b/games-fps/gzdoom/metadata.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer><email>maintainer-wanted@gentoo.org</email></maintainer>
+</pkgmetadata>